package oplog

type LogItem struct {
	OpID   uint   `json:"op_id"`
	OpName string `json:"op_name"`
	OpType string `json:"op_type"`
	Text   string `json:"text"`
}

var (
	Type_Login    string = "login"
	Type_Logout   string = "logout"
	Type_Register string = "register"
	Type_Update   string = "update"
	Type_Delete   string = "delete"
	Type_Query    string = "query"
	Type_Other    string = "other"
)
