package types

const (
	Run_Time_Mode_Dev = iota
	Run_Time_Mode_Test
	Run_Time_Mode_Pre
	Run_Time_Mode_Product
)

type RuntimeEnv struct {
	Workspace    string // MESH workspace，default:bsm
	Prefix       string // MESH prefix，default:/usr/local/mesh/
	JwtSecretKey string // jwt Secret Key，default:
	Mode         string // Runtime Mode String: dev/test/pre/product
	LicencePath  string
}
