package utils

import (
	"github.com/google/uuid"
	ulid "github.com/oklog/ulid/v2"
)

func UUID() string {
	return uuid.Must(uuid.NewV7()).String()
}

// remove nanoid,uuid,replace to ulid
func ULID() string {
	return ulid.Make().String()
}
