package types

type Empty struct {
}

type Paginate struct {
	Offset int `form:"offset,default=0,range=[0:)"`
	Size   int `form:"size,default=10,range=[1:50]"`
}

type ID struct {
	ID uint `json:"id"`
}

type Identity struct {
	Identity string `json:"identity"`
}

type Ident struct {
	ID       uint   `json:"id"`
	Identity string `json:"identity"`
}

type FetchRequest struct {
	Params    map[string]string `json:"params,optional"`
	TimeRange string            `json:"time_range,optional"`
	Paginate
}
