package utils

import "strings"

func In(target string, array []string) bool {
	target = strings.Trim(target, "")
	for _, v := range array {
		if strings.Trim(v, "") == target {
			return true
		}
	}
	return false
}

// 字符串数组是否存在
func StrArrayIndex(items []string, item string) int {
	for i, eachItem := range items {
		if eachItem == item {
			return i
		}
	}
	return -1
}

func RemoveRepeatSlice(in []string) (out []string) {
	_map := make(map[string]bool)
	for i := 0; i < len(in); i++ {
		if in[i] != "" {
			_map[in[i]] = true
		}
	}

	for key, _ := range _map {
		out = append(out, key)
	}

	return out
}
